Summary: Linux console and font utilities.
Name: hhl-target-console-tools
Version: 0.2.3
Release: %{_hhl_build_id}.3
Source: ftp://lct.sourceforge.net/pub/lct/console-tools-%{version}.tar.gz
Source1: console-tools.tmpl
Source2: console-tools-libs.tmpl
Source3: console-tools-dev.tmpl
Source4: kbd-compat.tmpl
Patch: console-tools_0.2.3-17.diff.gz
Patch2: console-tools-initd.diff
License: GPL
Group: utils
Buildroot: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
Prefix: %{_hhl_cross_target_dir}
%define _docdir         %{_hhl_cross_target_dir}%{_hhl_target_doc_dir}

%description
This package allows you to set-up and manipulate the Linux console (ie.
screen and keyboard), and manipulate console-font files.

# console-tools package
%package -n hhl-%{_hhl_target_arch}-console-tools
Summary: Linux console and font utilities.
Group: utils
AutoReqProv: no
%description -n hhl-%{_hhl_target_arch}-console-tools
This package allows you to set-up and manipulate the Linux console (ie.
screen and keyboard), and manipulate console-font files.

`console-tools' was developed from version 0.94 of the standard `kbd'
package, and integrates many fixes and enhancements, including new
kbd features up to 0.96a.

You will probably want to install a set of data files, such as the one
in the `console-data' package.

For command-line compatibility with kbd, you may want to install the
kbd-compat package.

# console-tools-libs package
%package -n hhl-%{_hhl_target_arch}-console-tools-libs
Summary: Shared libraries for Linux console and font manipulation.
Group: libs
AutoReqProv: no
%description -n hhl-%{_hhl_target_arch}-console-tools-libs
This package includes the libconsole and libcfont libraries, which
are indented to provide a high-level programming interface to the
Linux console, and console-font files.

# console-tools-dev package
%package -n hhl-%{_hhl_target_arch}-console-tools-dev
Summary: Development files for Linux console and font manipulation.
Group: devel
AutoReqProv: no
%description -n hhl-%{_hhl_target_arch}-console-tools-dev
This package includes the libconsole and libcfont headers and static
libraries.

WARNING: These libs are still in ALPHA stage; the interface is still
subject from time to time to incompatible changes.

# kbd-compat package
%package -n hhl-%{_hhl_target_arch}-kbd-compat
Summary: Wrappers around console-tools for backward compatibility with `kbd'.
Group: utils
AutoReqProv: no
%description -n hhl-%{_hhl_target_arch}-kbd-compat
This package provides the following wrapper scripts, for compatibility with
old `kbd' package, for programs which depends on the former's command-line
interfaces:
 setfont, loadunimap, saveunimap, mapscrn.

%prep
%target_check
%setup -q -n console-tools-%{version}
%patch -p1
%patch2 -p1

%build
%target_setup
%{_hhl_target_toolprefix}libtoolize --copy --force
%target_configure --enable-kbd-compat --disable-debugging --enable-localdatadir
%make CFLAGS="-O2 -g -Wall" ARCH=%{_hhl_target_cpu}

%install
rm -rf %{buildroot}
%target_setup
%target_makeinstall \
	gnulocaledir=%{buildroot}%{_hhl_cross_target_dir}/usr/share/locale
cd ..

mkdir -p %{buildroot}%{_hhl_cross_target_dir}/bin
mkdir -p %{buildroot}%{_hhl_cross_target_dir}/lib
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}/etc/console-tools/
mkdir -p %{buildroot}%{_hhl_cross_target_dir}/etc/init.d

# Update the debian scripts...
for i in debian/kbdconfig debian/install-keymap debian/keymaps-lct.sh; do
	sed s/@PACKAGE@/console-tools/ < ${i}.in > $i
done

install -m 755 debian/console-screen.sh \
	%{buildroot}%{_hhl_cross_target_dir}/etc/init.d/
install -m 755 debian/keymaps-lct.sh \
	%{buildroot}%{_hhl_cross_target_dir}/etc/init.d/
install -m 755 debian/kbdconfig \
	%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/

# open compat symlink
ln -s openvt %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/open

# install data dirs
( cd %{buildroot}%{_hhl_cross_target_dir}/usr/share/ && \
  install -d -m 755 keymaps consolefonts consoletrans videomodes )

# correct some install locations for programs
mv %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/loadkeys \
   %{buildroot}%{_hhl_cross_target_dir}/bin/.

# move the libs into /lib, as loadkeys need all of them
mv %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/*.so.* \
   %{buildroot}%{_hhl_cross_target_dir}/lib/

for i in libcfont libconsole libctutils; do\
  ln -sf ../../lib/$i.so.0.0.0 \
	%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/$i.so ;\
done

# these programs are usable only by root because of permissions in /dev:
mv %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/vcstime \
   %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/writevt \
   %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/setvesablank \
   %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/

# some deb-specific files
install -m 0755 debian/install-keymap \
	%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}
install -m 644 debian/conffiles.d/config \
	%{buildroot}%{_hhl_cross_target_dir}/etc/console-tools/

rm %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/loadunimap.8
rm %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/mapscrn.8
rm %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/saveunimap.8
rm %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/setfont.8

gzip -v9 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man*/*

ln -s openvt.1.gz \
	%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/open.1.gz
ln -s kbd-compat.8.gz \
	%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/loadunimap.8.gz
ln -s kbd-compat.8.gz \
	%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/mapscrn.8.gz
ln -s kbd-compat.8.gz \
	%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/saveunimap.8.gz
ln -s kbd-compat.8.gz \
	%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/setfont.8.gz

cp COPYING LICENSE

%demangle_libtool

install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages
export HHL_TOOL_PREFIX=%{_hhl_target_toolprefix}
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE1} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/console-tools
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE2} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/console-tools-libs
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE3} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/console-tools-dev
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE4} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/kbd-compat

%clean
rm -rf %{buildroot}

%files -n hhl-%{_hhl_target_arch}-console-tools
%defattr(-,root,root)
%{_hhl_cross_target_dir}/bin/loadkeys
%config %{_hhl_cross_target_dir}/etc/console-tools/config
%config %{_hhl_cross_target_dir}/etc/init.d/console-screen.sh
%config %{_hhl_cross_target_dir}/etc/init.d/keymaps-lct.sh
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/charset
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/chvt
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/codepage
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/consolechars
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/deallocvt
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/dumpkeys
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/fgconsole
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/fix_bs_and_del
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/font2psf
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/getkeycodes
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/kbd_mode
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/mk_modmap
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/open
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/openvt
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/psfaddtable
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/psfgettable
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/psfstriptable
#%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/resizecons
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/screendump
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/setkeycodes
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/setleds
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/setmetamode
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/showcfont
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/showkey
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/splitfont
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/unicode_start
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/unicode_stop
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/vt-is-UTF8
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/*
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/*
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man4/*
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man5/*
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/consolechars.8.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/getkeycodes.8.gz
#%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/kbdconfig.8.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/resizecons.8.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/setkeycodes.8.gz
#%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/setvesablank.8.gz
#%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/vcstime.8.gz
#%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/writevt.8.gz
%doc README COPYING COPYING.kbd CREDITS TODO RELEASE NEWS
%doc LICENSE
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/console-tools

%files -n hhl-%{_hhl_target_arch}-console-tools-libs
%defattr(-,root,root)
%{_hhl_cross_target_dir}/lib/*
%{_hhl_cross_target_dir}/usr/share/locale/*/LC_MESSAGES/*.mo
%doc LICENSE
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/console-tools-libs

%files -n hhl-%{_hhl_target_arch}-console-tools-dev
%defattr(-,root,root)
%dir %{_hhl_cross_target_dir}%{_hhl_target_include_dir}/lct
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/lct/*
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libcfont.*
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libconsole.*
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libctutils.*
%doc LICENSE
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/console-tools-dev

%files -n hhl-%{_hhl_target_arch}-kbd-compat
%defattr(-,root,root)
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/loadunimap
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/mapscrn
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/saveunimap
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/setfont
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/kbd-compat.8.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/loadunimap.8.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/mapscrn.8.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/saveunimap.8.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/setfont.8.gz
%doc doc/kbd.FAQ.txt
%doc LICENSE
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/kbd-compat

%changelog
* Fri Apr 20 2001 Automated script (run by Steve Kinneberg <skinneberg@mvista.com>)
- Added TCT package description files
* Fri Feb 23 2001 Mark Hatle <source@mvista.com>
- First cut


